# Open Mercato API

Version: 0.6.5

Auto-generated OpenAPI definition for all enabled modules.

## Servers
- https://om.3.74.75.141.nip.io/api – Default environment

## GET `/ai_assistant/ai/actions/{id}`

GET /ai_assistant/ai/actions/{id}

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/actions/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/actions/{id}/cancel`

POST /ai_assistant/ai/actions/{id}/cancel

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/actions/:id/cancel" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/actions/{id}/confirm`

POST /ai_assistant/ai/actions/{id}/confirm

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/actions/:id/confirm" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/agents`

GET /ai_assistant/ai/agents

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/ai_assistant/ai/agents/{agentId}/loop-override`

DELETE /ai_assistant/ai/agents/{agentId}/loop-override

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/loop-override" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/agents/{agentId}/loop-override`

GET /ai_assistant/ai/agents/{agentId}/loop-override

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/loop-override" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/ai_assistant/ai/agents/{agentId}/loop-override`

PUT /ai_assistant/ai/agents/{agentId}/loop-override

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/loop-override" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/agents/{agentId}/models`

GET /ai_assistant/ai/agents/{agentId}/models

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/models" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/ai_assistant/ai/agents/{agentId}/mutation-policy`

DELETE /ai_assistant/ai/agents/{agentId}/mutation-policy

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/mutation-policy" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/agents/{agentId}/mutation-policy`

GET /ai_assistant/ai/agents/{agentId}/mutation-policy

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/mutation-policy" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/agents/{agentId}/mutation-policy`

POST /ai_assistant/ai/agents/{agentId}/mutation-policy

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/mutation-policy" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/agents/{agentId}/prompt-override`

GET /ai_assistant/ai/agents/{agentId}/prompt-override

**Tags:** AI Assistant

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/prompt-override" \
  -H "Accept: application/json"
```

## POST `/ai_assistant/ai/agents/{agentId}/prompt-override`

POST /ai_assistant/ai/agents/{agentId}/prompt-override

**Tags:** AI Assistant

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| agentId | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/agents/:agentId/prompt-override" \
  -H "Accept: application/json"
```

## POST `/ai_assistant/ai/chat`

POST /ai_assistant/ai/chat

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/chat" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/conversations`

GET /ai_assistant/ai/conversations

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/conversations`

POST /ai_assistant/ai/conversations

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/ai_assistant/ai/conversations/{conversationId}`

DELETE /ai_assistant/ai/conversations/{conversationId}

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| conversationId | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/:conversationId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/conversations/{conversationId}`

GET /ai_assistant/ai/conversations/{conversationId}

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| conversationId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/:conversationId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PATCH `/ai_assistant/ai/conversations/{conversationId}`

PATCH /ai_assistant/ai/conversations/{conversationId}

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| conversationId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PATCH "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/:conversationId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/ai/conversations/{conversationId}/participants`

GET /ai_assistant/ai/conversations/{conversationId}/participants

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| conversationId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/:conversationId/participants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/conversations/{conversationId}/participants`

POST /ai_assistant/ai/conversations/{conversationId}/participants

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| conversationId | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/:conversationId/participants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/ai_assistant/ai/conversations/{conversationId}/participants/{userId}`

DELETE /ai_assistant/ai/conversations/{conversationId}/participants/{userId}

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| conversationId | path | any | Required |
| userId | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/:conversationId/participants/:userId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/conversations/import`

POST /ai_assistant/ai/conversations/import

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/conversations/import" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/ai/run-object`

POST /ai_assistant/ai/run-object

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/ai/run-object" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/chat`

POST /ai_assistant/chat

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/chat" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/health`

GET /ai_assistant/health

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/health" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/mcp-key`

POST /ai_assistant/mcp-key

Requires features: api_keys.create

**Tags:** AI Assistant

**Requires authentication.**

**Features:** api_keys.create

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/mcp-key" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/route`

POST /ai_assistant/route

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/route" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/session-key`

POST /ai_assistant/session-key

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/session-key" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/ai_assistant/settings`

DELETE /ai_assistant/settings

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/ai_assistant/settings" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/settings`

GET /ai_assistant/settings

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/settings" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/ai_assistant/settings`

PUT /ai_assistant/settings

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/ai_assistant/settings" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/ai_assistant/settings/allowlist`

DELETE /ai_assistant/settings/allowlist

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/ai_assistant/settings/allowlist" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/ai_assistant/settings/allowlist`

PUT /ai_assistant/settings/allowlist

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/ai_assistant/settings/allowlist" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/tools`

GET /ai_assistant/tools

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/tools" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/ai_assistant/tools/execute`

POST /ai_assistant/tools/execute

Requires features: ai_assistant.view

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.view

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/ai_assistant/tools/execute" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/usage/daily`

GET /ai_assistant/usage/daily

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/usage/daily" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/usage/sessions`

GET /ai_assistant/usage/sessions

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/usage/sessions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/ai_assistant/usage/sessions/{sessionId}`

GET /ai_assistant/usage/sessions/{sessionId}

Requires features: ai_assistant.settings.manage

**Tags:** AI Assistant

**Requires authentication.**

**Features:** ai_assistant.settings.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| sessionId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/ai_assistant/usage/sessions/:sessionId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/api_keys/keys`

DELETE /api_keys/keys

Requires features: api_keys.delete

**Tags:** API Keys

**Requires authentication.**

**Features:** api_keys.delete

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/api_keys/keys" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/api_keys/keys`

GET /api_keys/keys

Requires features: api_keys.view

**Tags:** API Keys

**Requires authentication.**

**Features:** api_keys.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/api_keys/keys" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/api_keys/keys`

POST /api_keys/keys

Requires features: api_keys.create

**Tags:** API Keys

**Requires authentication.**

**Features:** api_keys.create

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/api_keys/keys" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/attachments`

DELETE /attachments

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/attachments" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/attachments`

GET /attachments

Requires features: attachments.view

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/attachments" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/attachments`

POST /attachments

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/attachments" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/attachments/file/{id}`

GET /attachments/file/{id}

**Tags:** Attachments

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/attachments/file/:id" \
  -H "Accept: application/json"
```

## GET `/attachments/image/{id}/{slug}`

GET /attachments/image/{id}/{slug}

**Tags:** Attachments

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |
| slug | path | any | Optional |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/attachments/image/:id/:slug" \
  -H "Accept: application/json"
```

## GET `/attachments/library`

GET /attachments/library

Requires features: attachments.view

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/attachments/library" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/attachments/library/{id}`

DELETE /attachments/library/{id}

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/attachments/library/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/attachments/library/{id}`

GET /attachments/library/{id}

Requires features: attachments.view

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/attachments/library/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PATCH `/attachments/library/{id}`

PATCH /attachments/library/{id}

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PATCH "https://om.3.74.75.141.nip.io/api/attachments/library/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/attachments/partitions`

DELETE /attachments/partitions

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/attachments/partitions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/attachments/partitions`

GET /attachments/partitions

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/attachments/partitions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/attachments/partitions`

POST /attachments/partitions

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/attachments/partitions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/attachments/partitions`

PUT /attachments/partitions

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/attachments/partitions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/attachments/transfer`

POST /attachments/transfer

Requires features: attachments.manage

**Tags:** Attachments

**Requires authentication.**

**Features:** attachments.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/attachments/transfer" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/audit_logs/audit-logs/access`

GET /audit_logs/audit-logs/access

Requires features: audit_logs.view_self

**Tags:** Audit & Action Logs

**Requires authentication.**

**Features:** audit_logs.view_self

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/audit_logs/audit-logs/access" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/audit_logs/audit-logs/actions`

GET /audit_logs/audit-logs/actions

Requires features: audit_logs.view_self

**Tags:** Audit & Action Logs

**Requires authentication.**

**Features:** audit_logs.view_self

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/audit_logs/audit-logs/actions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/audit_logs/audit-logs/actions/export`

GET /audit_logs/audit-logs/actions/export

Requires features: audit_logs.view_self

**Tags:** Audit & Action Logs

**Requires authentication.**

**Features:** audit_logs.view_self

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/audit_logs/audit-logs/actions/export" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/audit_logs/audit-logs/actions/redo`

POST /audit_logs/audit-logs/actions/redo

Requires features: audit_logs.redo_self

**Tags:** Audit & Action Logs

**Requires authentication.**

**Features:** audit_logs.redo_self

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/audit_logs/audit-logs/actions/redo" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/audit_logs/audit-logs/actions/undo`

POST /audit_logs/audit-logs/actions/undo

Requires features: audit_logs.undo_self

**Tags:** Audit & Action Logs

**Requires authentication.**

**Features:** audit_logs.undo_self

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/audit_logs/audit-logs/actions/undo" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/admin/nav`

GET /auth/admin/nav

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/admin/nav" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/auth/feature-check`

POST /auth/feature-check

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/feature-check" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/features`

GET /auth/features

Requires features: auth.acl.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.acl.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/features" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/locale`

GET /auth/locale

**Tags:** Authentication & Accounts

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/locale" \
  -H "Accept: application/json"
```

## POST `/auth/locale`

POST /auth/locale

**Tags:** Authentication & Accounts

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/locale" \
  -H "Accept: application/json"
```

## POST `/auth/login`

POST /auth/login

**Tags:** Authentication & Accounts

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/login" \
  -H "Accept: application/json"
```

## POST `/auth/logout`

POST /auth/logout

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/logout" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/profile`

GET /auth/profile

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/profile" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/profile`

PUT /auth/profile

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/profile" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/auth/reset`

POST /auth/reset

**Tags:** Authentication & Accounts

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/reset" \
  -H "Accept: application/json"
```

## POST `/auth/reset/confirm`

POST /auth/reset/confirm

**Tags:** Authentication & Accounts

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/reset/confirm" \
  -H "Accept: application/json"
```

## DELETE `/auth/roles`

DELETE /auth/roles

Requires features: auth.roles.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.roles.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/auth/roles" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/roles`

GET /auth/roles

Requires features: auth.roles.list

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.roles.list

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/roles" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/auth/roles`

POST /auth/roles

Requires features: auth.roles.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.roles.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/roles" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/roles`

PUT /auth/roles

Requires features: auth.roles.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.roles.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/roles" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/roles/acl`

GET /auth/roles/acl

Requires features: auth.acl.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.acl.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/roles/acl" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/roles/acl`

PUT /auth/roles/acl

Requires features: auth.acl.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.acl.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/roles/acl" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/session/refresh`

GET /auth/session/refresh

**Tags:** Authentication & Accounts

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/session/refresh" \
  -H "Accept: application/json"
```

## POST `/auth/session/refresh`

POST /auth/session/refresh

**Tags:** Authentication & Accounts

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/session/refresh" \
  -H "Accept: application/json"
```

## DELETE `/auth/sidebar/preferences`

DELETE /auth/sidebar/preferences

Requires features: auth.sidebar.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.sidebar.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/auth/sidebar/preferences" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/sidebar/preferences`

GET /auth/sidebar/preferences

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/sidebar/preferences" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/sidebar/preferences`

PUT /auth/sidebar/preferences

Requires features: auth.sidebar.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.sidebar.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/sidebar/preferences" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/sidebar/variants`

GET /auth/sidebar/variants

**Tags:** Authentication & Accounts

**Requires authentication.**

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/sidebar/variants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/auth/sidebar/variants`

POST /auth/sidebar/variants

Requires features: auth.sidebar.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.sidebar.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/sidebar/variants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/auth/sidebar/variants/{id}`

DELETE /auth/sidebar/variants/{id}

Requires features: auth.sidebar.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.sidebar.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/auth/sidebar/variants/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/sidebar/variants/{id}`

GET /auth/sidebar/variants/{id}

**Tags:** Authentication & Accounts

**Requires authentication.**

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/sidebar/variants/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/sidebar/variants/{id}`

PUT /auth/sidebar/variants/{id}

Requires features: auth.sidebar.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.sidebar.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/sidebar/variants/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/auth/users`

DELETE /auth/users

Requires features: auth.users.delete

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.users.delete

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/auth/users" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/users`

GET /auth/users

Requires features: auth.users.list

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.users.list

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/users" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/auth/users`

POST /auth/users

Requires features: auth.users.create

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.users.create

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/users" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/users`

PUT /auth/users

Requires features: auth.users.edit

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.users.edit

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/users" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/users/acl`

GET /auth/users/acl

Requires features: auth.acl.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.acl.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/users/acl" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/auth/users/acl`

PUT /auth/users/acl

Requires features: auth.acl.manage

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.acl.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/auth/users/acl" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/auth/users/consents`

GET /auth/users/consents

Requires features: auth.users.edit

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.users.edit

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/auth/users/consents" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/auth/users/resend-invite`

POST /auth/users/resend-invite

Requires features: auth.users.create

**Tags:** Authentication & Accounts

**Requires authentication.**

**Features:** auth.users.create

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/auth/users/resend-invite" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/business_rules/execute`

POST /business_rules/execute

Requires features: business_rules.execute

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.execute

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/business_rules/execute" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/business_rules/execute/{ruleId}`

POST /business_rules/execute/{ruleId}

Requires features: business_rules.execute

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.execute

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| ruleId | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/business_rules/execute/:ruleId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/business_rules/logs`

GET /business_rules/logs

Requires features: business_rules.view_logs

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.view_logs

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/business_rules/logs" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/business_rules/logs/{id}`

GET /business_rules/logs/{id}

Requires features: business_rules.view_logs

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.view_logs

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/business_rules/logs/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/business_rules/rules`

DELETE /business_rules/rules

Requires features: business_rules.manage

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/business_rules/rules" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/business_rules/rules`

GET /business_rules/rules

Requires features: business_rules.view

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/business_rules/rules" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/business_rules/rules`

POST /business_rules/rules

Requires features: business_rules.manage

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/business_rules/rules" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/business_rules/rules`

PUT /business_rules/rules

Requires features: business_rules.manage

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/business_rules/rules" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/business_rules/rules/{id}`

GET /business_rules/rules/{id}

Requires features: business_rules.view

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/business_rules/rules/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/business_rules/sets`

DELETE /business_rules/sets

Requires features: business_rules.manage_sets

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage_sets

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/business_rules/sets" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/business_rules/sets`

GET /business_rules/sets

Requires features: business_rules.view

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/business_rules/sets" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/business_rules/sets`

POST /business_rules/sets

Requires features: business_rules.manage_sets

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage_sets

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/business_rules/sets" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/business_rules/sets`

PUT /business_rules/sets

Requires features: business_rules.manage_sets

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage_sets

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/business_rules/sets" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/business_rules/sets/{id}`

GET /business_rules/sets/{id}

Requires features: business_rules.view

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/business_rules/sets/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/business_rules/sets/{id}/members`

DELETE /business_rules/sets/{id}/members

Requires features: business_rules.manage_sets

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage_sets

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/business_rules/sets/:id/members" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/business_rules/sets/{id}/members`

POST /business_rules/sets/{id}/members

Requires features: business_rules.manage_sets

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage_sets

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/business_rules/sets/:id/members" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/business_rules/sets/{id}/members`

PUT /business_rules/sets/{id}/members

Requires features: business_rules.manage_sets

**Tags:** Business Rules

**Requires authentication.**

**Features:** business_rules.manage_sets

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/business_rules/sets/:id/members" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/bulk-delete`

POST /catalog/bulk-delete

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/bulk-delete" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/categories`

DELETE /catalog/categories

Requires features: catalog.categories.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.categories.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/categories" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/categories`

GET /catalog/categories

Requires features: catalog.categories.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.categories.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/categories" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/categories`

POST /catalog/categories

Requires features: catalog.categories.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.categories.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/categories" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/categories`

PUT /catalog/categories

Requires features: catalog.categories.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.categories.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/categories" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/dictionaries/{key}`

GET /catalog/dictionaries/{key}

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| key | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/dictionaries/:key" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/offers`

DELETE /catalog/offers

Requires features: sales.channels.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** sales.channels.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/offers" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/offers`

GET /catalog/offers

Requires features: sales.channels.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** sales.channels.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/offers" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/offers`

POST /catalog/offers

Requires features: sales.channels.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** sales.channels.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/offers" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/offers`

PUT /catalog/offers

Requires features: sales.channels.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** sales.channels.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/offers" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/option-schemas`

DELETE /catalog/option-schemas

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/option-schemas" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/option-schemas`

GET /catalog/option-schemas

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/option-schemas" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/option-schemas`

POST /catalog/option-schemas

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/option-schemas" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/option-schemas`

PUT /catalog/option-schemas

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/option-schemas" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/price-kinds`

DELETE /catalog/price-kinds

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/price-kinds" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/price-kinds`

GET /catalog/price-kinds

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/price-kinds" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/price-kinds`

POST /catalog/price-kinds

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/price-kinds" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/price-kinds`

PUT /catalog/price-kinds

Requires features: catalog.settings.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.settings.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/price-kinds" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/prices`

DELETE /catalog/prices

Requires features: catalog.pricing.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.pricing.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/prices" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/prices`

GET /catalog/prices

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/prices" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/prices`

POST /catalog/prices

Requires features: catalog.pricing.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.pricing.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/prices" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/prices`

PUT /catalog/prices

Requires features: catalog.pricing.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.pricing.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/prices" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/product-media`

GET /catalog/product-media

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/product-media" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/product-unit-conversions`

DELETE /catalog/product-unit-conversions

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/product-unit-conversions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/product-unit-conversions`

GET /catalog/product-unit-conversions

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/product-unit-conversions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/product-unit-conversions`

POST /catalog/product-unit-conversions

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/product-unit-conversions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/product-unit-conversions`

PUT /catalog/product-unit-conversions

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/product-unit-conversions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/products`

DELETE /catalog/products

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/products" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/products`

GET /catalog/products

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/products" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/products`

POST /catalog/products

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/products" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/products`

PUT /catalog/products

Requires features: catalog.products.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/products" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/tags`

GET /catalog/tags

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/tags" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/catalog/variants`

DELETE /catalog/variants

Requires features: catalog.variants.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.variants.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/catalog/variants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/catalog/variants`

GET /catalog/variants

Requires features: catalog.products.view

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.products.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/catalog/variants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/catalog/variants`

POST /catalog/variants

Requires features: catalog.variants.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.variants.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/catalog/variants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/catalog/variants`

PUT /catalog/variants

Requires features: catalog.variants.manage

**Tags:** Product Catalog

**Requires authentication.**

**Features:** catalog.variants.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/catalog/variants" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/links`

GET /checkout/links

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/links" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/checkout/links`

POST /checkout/links

Requires features: checkout.create

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.create

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/checkout/links" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/checkout/links/{id}`

DELETE /checkout/links/{id}

Requires features: checkout.delete

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.delete

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/checkout/links/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/links/{id}`

GET /checkout/links/{id}

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/links/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/checkout/links/{id}`

PUT /checkout/links/{id}

Requires features: checkout.edit

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.edit

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/checkout/links/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/pay/{slug}`

GET /checkout/pay/{slug}

**Tags:** Checkout

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| slug | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/pay/:slug" \
  -H "Accept: application/json"
```

## GET `/checkout/pay/{slug}/status/{transactionId}`

GET /checkout/pay/{slug}/status/{transactionId}

**Tags:** Checkout

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| slug | path | any | Required |
| transactionId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/pay/:slug/status/:transactionId" \
  -H "Accept: application/json"
```

## POST `/checkout/pay/{slug}/submit`

POST /checkout/pay/{slug}/submit

**Tags:** Checkout

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| slug | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/checkout/pay/:slug/submit" \
  -H "Accept: application/json"
```

## POST `/checkout/pay/{slug}/verify-password`

POST /checkout/pay/{slug}/verify-password

**Tags:** Checkout

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| slug | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/checkout/pay/:slug/verify-password" \
  -H "Accept: application/json"
```

## GET `/checkout/templates`

GET /checkout/templates

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/templates" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/checkout/templates`

POST /checkout/templates

Requires features: checkout.create

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.create

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/checkout/templates" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/checkout/templates/{id}`

DELETE /checkout/templates/{id}

Requires features: checkout.delete

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.delete

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/checkout/templates/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/templates/{id}`

GET /checkout/templates/{id}

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/templates/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/checkout/templates/{id}`

PUT /checkout/templates/{id}

Requires features: checkout.edit

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.edit

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/checkout/templates/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/templates/{id}/preview`

GET /checkout/templates/{id}/preview

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/templates/:id/preview" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/transactions`

GET /checkout/transactions

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/transactions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/transactions/{id}`

GET /checkout/transactions/{id}

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/transactions/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/checkout/transactions/by-gateway/{gatewayTransactionId}`

GET /checkout/transactions/by-gateway/{gatewayTransactionId}

Requires features: checkout.view

**Tags:** Checkout

**Requires authentication.**

**Features:** checkout.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| gatewayTransactionId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/checkout/transactions/by-gateway/:gatewayTransactionId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/communication_channels/channels`

GET /communication_channels/channels

Requires features: communication_channels.view

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/communication_channels/channels" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/communication_channels/channels/{id}`

DELETE /communication_channels/channels/{id}

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/communication_channels/channels/{id}`

GET /communication_channels/channels/{id}

Requires features: communication_channels.view

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/communication_channels/channels/{id}/health`

GET /communication_channels/channels/{id}/health

Requires features: communication_channels.view

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.view

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id/health" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/channels/{id}/import-history`

POST /communication_channels/channels/{id}/import-history

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id/import-history" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/channels/{id}/poll-now`

POST /communication_channels/channels/{id}/poll-now

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id/poll-now" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/channels/{id}/push/register`

POST /communication_channels/channels/{id}/push/register

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id/push/register" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/channels/{id}/set-primary`

POST /communication_channels/channels/{id}/set-primary

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id/set-primary" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/channels/{id}/test-send`

POST /communication_channels/channels/{id}/test-send

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/channels/:id/test-send" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/channels/connect/credentials`

POST /communication_channels/channels/connect/credentials

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/channels/connect/credentials" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/communication_channels/me/channels`

GET /communication_channels/me/channels

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/communication_channels/me/channels" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/messages/{messageId}/reactions`

POST /communication_channels/messages/{messageId}/reactions

Requires features: communication_channels.react

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.react

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| messageId | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/messages/:messageId/reactions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/communication_channels/messages/{messageId}/reactions/{reactionId}`

DELETE /communication_channels/messages/{messageId}/reactions/{reactionId}

Requires features: communication_channels.react

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.react

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| messageId | path | any | Required |
| reactionId | path | any | Required |

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/communication_channels/messages/:messageId/reactions/:reactionId" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/communication_channels/oauth/{provider}/callback`

GET /communication_channels/oauth/{provider}/callback

**Tags:** Communication Channels

**Requires authentication.**

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| provider | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/communication_channels/oauth/:provider/callback" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/oauth/{provider}/initiate`

POST /communication_channels/oauth/{provider}/initiate

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| provider | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/oauth/:provider/initiate" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/send-as-user`

POST /communication_channels/send-as-user

Requires features: communication_channels.manage

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/send-as-user" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/test-seed`

POST /communication_channels/test-seed

Requires features: communication_channels.connect_user_channel

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.connect_user_channel

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/test-seed" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/communication_channels/threads/{threadId}/assign`

PUT /communication_channels/threads/{threadId}/assign

Requires features: communication_channels.assign

**Tags:** Communication Channels

**Requires authentication.**

**Features:** communication_channels.assign

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| threadId | path | any | Required |

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/communication_channels/threads/:threadId/assign" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/communication_channels/webhook/{provider}`

POST /communication_channels/webhook/{provider}

**Tags:** Communication Channels

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| provider | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/webhook/:provider" \
  -H "Accept: application/json"
```

## POST `/communication_channels/webhooks/gmail`

POST /communication_channels/webhooks/gmail

**Tags:** Communication Channels

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/communication_channels/webhooks/gmail" \
  -H "Accept: application/json"
```

## GET `/configs/cache`

GET /configs/cache

Requires features: configs.cache.view

**Tags:** Configuration

**Requires authentication.**

**Features:** configs.cache.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/configs/cache" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/configs/cache`

POST /configs/cache

Requires features: configs.cache.manage

**Tags:** Configuration

**Requires authentication.**

**Features:** configs.cache.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/configs/cache" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/configs/system-status`

GET /configs/system-status

Requires features: configs.system_status.view

**Tags:** Configuration

**Requires authentication.**

**Features:** configs.system_status.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/configs/system-status" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/configs/system-status`

POST /configs/system-status

Requires features: configs.manage

**Tags:** Configuration

**Requires authentication.**

**Features:** configs.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/configs/system-status" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/configs/upgrade-actions`

GET /configs/upgrade-actions

Requires features: configs.manage

**Tags:** Configuration

**Requires authentication.**

**Features:** configs.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/configs/upgrade-actions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/configs/upgrade-actions`

POST /configs/upgrade-actions

Requires features: configs.manage

**Tags:** Configuration

**Requires authentication.**

**Features:** configs.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/configs/upgrade-actions" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/currencies/currencies`

DELETE /currencies/currencies

Requires features: currencies.manage

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/currencies/currencies" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/currencies/currencies`

GET /currencies/currencies

Requires features: currencies.view

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/currencies/currencies" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/currencies/currencies`

POST /currencies/currencies

Requires features: currencies.manage

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/currencies/currencies" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/currencies/currencies`

PUT /currencies/currencies

Requires features: currencies.manage

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/currencies/currencies" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/currencies/currencies/options`

GET /currencies/currencies/options

Requires features: currencies.view

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/currencies/currencies/options" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/currencies/exchange-rates`

DELETE /currencies/exchange-rates

Requires features: currencies.rates.manage

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.rates.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/currencies/exchange-rates" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/currencies/exchange-rates`

GET /currencies/exchange-rates

Requires features: currencies.rates.view

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.rates.view

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/currencies/exchange-rates" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/currencies/exchange-rates`

POST /currencies/exchange-rates

Requires features: currencies.rates.manage

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.rates.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/currencies/exchange-rates" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## PUT `/currencies/exchange-rates`

PUT /currencies/exchange-rates

Requires features: currencies.rates.manage

**Tags:** Currencies

**Requires authentication.**

**Features:** currencies.rates.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/currencies/exchange-rates" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## DELETE `/currencies/fetch-configs`

DELETE /currencies/fetch-configs

**Tags:** Currencies

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/currencies/fetch-configs" \
  -H "Accept: application/json"
```

## GET `/currencies/fetch-configs`

GET /currencies/fetch-configs

**Tags:** Currencies

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/currencies/fetch-configs" \
  -H "Accept: application/json"
```

## POST `/currencies/fetch-configs`

POST /currencies/fetch-configs

**Tags:** Currencies

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/currencies/fetch-configs" \
  -H "Accept: application/json"
```

## PUT `/currencies/fetch-configs`

PUT /currencies/fetch-configs

**Tags:** Currencies

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X PUT "https://om.3.74.75.141.nip.io/api/currencies/fetch-configs" \
  -H "Accept: application/json"
```

## POST `/currencies/fetch-rates`

POST /currencies/fetch-rates

**Tags:** Currencies

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/currencies/fetch-rates" \
  -H "Accept: application/json"
```

## DELETE `/customer_accounts/admin/domain-mappings`

DELETE /customer_accounts/admin/domain-mappings

Requires features: customer_accounts.domain.manage

**Tags:** Customer Identity & Portal Authentication

**Requires authentication.**

**Features:** customer_accounts.domain.manage

### Responses

**204** – Success

### Example

```bash
curl -X DELETE "https://om.3.74.75.141.nip.io/api/customer_accounts/admin/domain-mappings" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## GET `/customer_accounts/admin/domain-mappings`

GET /customer_accounts/admin/domain-mappings

Requires features: customer_accounts.domain.manage

**Tags:** Customer Identity & Portal Authentication

**Requires authentication.**

**Features:** customer_accounts.domain.manage

### Responses

**200** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X GET "https://om.3.74.75.141.nip.io/api/customer_accounts/admin/domain-mappings" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/customer_accounts/admin/domain-mappings`

POST /customer_accounts/admin/domain-mappings

Requires features: customer_accounts.domain.manage

**Tags:** Customer Identity & Portal Authentication

**Requires authentication.**

**Features:** customer_accounts.domain.manage

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/customer_accounts/admin/domain-mappings" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/customer_accounts/admin/domain-mappings/{id}/health-check`

POST /customer_accounts/admin/domain-mappings/{id}/health-check

Requires features: customer_accounts.domain.manage

**Tags:** Customer Identity & Portal Authentication

**Requires authentication.**

**Features:** customer_accounts.domain.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

### Example

```bash
curl -X POST "https://om.3.74.75.141.nip.io/api/customer_accounts/admin/domain-mappings/:id/health-check" \
  -H "Accept: application/json" \
  -H "authorization: Bearer <token>"
```

## POST `/customer_accounts/admin/domain-mappings/{id}/verify`

POST /customer_accounts/admin/domain-mappings/{id}/verify

Requires features: customer_accounts.domain.manage

**Tags:** Customer Identity & Portal Authentication

**Requires authentication.**

**Features:** customer_accounts.domain.manage

### Parameters
| Name | Location | Type | Description |
| --- | --- | --- | --- |
| id | path | any | Required |

### Responses

**201** – Success response

Content-Type: `application/json`

[...]
